hubicfuse(8)

NAME
hubicfuse - mount hubiC storage

SYNOPSIS
hubicfuse <mountpoint> [options]

DESCRIPTION
hubicfuse provides access to hubiC storage via a mountpoint, using FUSE.

OPTIONS
hubicfuse accepts the following general options:

-h, --help
    displays a help message

-V, --version
    displays the version of hubicfuse

-d  enables debug input (implies -f)

-f  starts hubicfuse in the foreground

-s  disables multi-threaded operation

-o <option>
    adds an option; this may be repeated as many times as necessary (see fuse(8) for details of the available options)

CONFIGURATION
hubicfuse needs some configuration settings to run; these can be provided as mount options or stored in the .hubicfuse file in the user's home directory. The required settings are:

client_id
    the Hubic client identifier, which can be obtained from https://hubic.com/home/browser/developers/;

client_secret
    the Hubic client secret, which can be obtained along with the identifier;

refresh_token
    the authentication token, which can be obtained using the hubic_token script (in /usr/share/hubicfuse).

The following optional settings are available:

cache_timeout
    the number of seconds directories are kept in the cache (600 by default);

verify_ssl
    true or false to enable or disable SSL certificate verification (enabled by default);

segment_size
    the size to use when creating DLOs (1073741824 by default, i.e. 1GB);

segment_above
    the file size at which to start using segments (2147483648 by default, i.e. 2GB);

storage_url
    the storage URL for other tenants to view the container;

container
    the public container to expose via the given storage_url;

temp_dir
    the directory to use for storing temporary files;

get_extended_metadata
    true or false to enable or disable downloading file attributes (detailed time, owner, permissions; enabling this will result in reduced performance)

curl_verbose
    true or false to enable or disable detailing debugging information on curl requests (this produces lots of output);

curl_progress_state
    true or false to enable or disable progress information on curl requests (mostly useful for debugging);

cache_statfs_timeout
    the number of seconds to cache requests to statfs (cloud statistics), 0 to disable;

debug_level
    0, 1 or 2 to specify the level of debugging verbosity in conjunction with the -d command-line switch (0 selects minimal verbosity);

enable_chmod
    true to enable chmod support on FUSE;

enable_chown
    true to enable chown support on FUSE.

SEE ALSO
fuse(8)

AUTHORS
hubicfuse was written by Pascal Obry, Tim Dysinger, Chris Wedgwood, Nick Craig-Wood, Dillon Amburgey, Manfred Touron, David Brownlee, Mike Lundy, justinb, Matt Greenway and Dan Cristian. This manual page was adapted from the program usage information by Stephen Kitt, for the Debian GNU/Linux system (but may be used by others).